<?
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

$usuario = getLoggedUser();

$datetime = date_create()->format('Y-m-d H:i:s');


if($_SERVER['REQUEST_METHOD'] == 'POST'){
  $id_local_estoque = $_POST['id_local_estoque'];
  $id_status = $_POST['id_status'];

  /*echo "<br>id_local $id_local_estoque";
  echo "<br>id_status $id_status";*/

  if(!isset($_POST['id_produto'])){
    addError("Você deve informar os produtos");
    $id_crip_local= base64_encode($id_local_estoque);
    $id_crip_status=base64_encode($id_status);

    $redirect = "erpc_inventario_add.php?id_local_estoque=$id_crip_local&id_status=$id_crip_status";
  }else{
    $redirect = 'erpc_inventario_add.php';

    $id_produto = $_POST['id_produto'];

    /*echo "<br>Produtos Selecionados:";
    echo "<pre>";
    print_r($id_produto);
    echo "</pre>";*/

    $sql = 'insert into erpc_inventario(id_local_estoque, id_status_inventario, id_usuario, id_unidade, dh_alteracao)values( ?,?,?,?,?)';
    $values[] = $id_local_estoque;
    $values[] = $id_status;
    $values[] = $usuario['id'];
    $values[] = $usuario['unidade'];
    $values[] = $datetime;

    // $result = _prepareAndQuery($sql, $values);
    $ok = _prepareAndExecute($sql, $values, $error);

    $id_inventario = mysqli_insert_id($conexao);

    // echo "<br>Número do Inventário Obtido:$id_inventario";
    // faz o insert dos produtos do inventario
    if($ok!=false){
      $sql = 'insert into erpc_inventario_produtos( id_inventario, id_produto)values( ?,?)';
      $values = array();
      foreach ($id_produto as $key => $value) {
        $values[] = $id_inventario;
        $values[] = $value;
      }
      $ok = _prepareAndExecute($sql, $values, $error);
      addMessage('Inserido com sucesso!');
      $redirect = 'erpc_inventario_add.php';
    }else{
      $redirect = 'erpc_inventario_add.php';
    }
  }
}

header("location:$redirect");

?>
